none
offset fetch - sql server compact 3.5 RRS feed

  • Вопрос

  • SELECT column FROM table WHERE column = 1
    OFFSET 10 FETCH FIRST 10

    Привет, хочу уточнить по поводу OFFSET и FETCH.
    Поддерживает ли их sql server compact 3.5?

    Если да то прошу привести пример, ибо выдает все время ошибку.

    Если OFFSET и  FETCH не поддерживает sql server compact 3.5 но поддерживает sql server compact 4.0 прошу подсказать возможна ли работа одновременно с 3.5 и 4.0 (и каким образом).

    ----------------------------------------------------------------------------------------------------------------------

    SELECT column FROM table WHERE column = 1
    OFFSET 10 FETCH FIRST 10

    Hi, I want to clarify about the OFFSET and FETCH.
    Does their sql server compact 3.5?

    If yes then please give an example, for all the time it gives an error.

    If OFFSET and FETCH not support sql server compact 3.5 but supports sql server compact 4.0 prompt asking whether it is possible to work simultaneously 3.5 and 4.0 (and how).


Ответы

  • "прошу подсказать возможна ли работа одновременно с 3.5 и 4.0". - нет нельзя, используйте последнюю. Или ещё лучше SQL Server 2014 Express LocalDB.

    Сделаем содержимое сообщества лучше, вместе!

    • Предложено в качестве ответа daagon78 15 мая 2015 г. 7:51
    • Помечено в качестве ответа YatajgaModerator 31 мая 2015 г. 18:54
    Модератор

Все ответы

  • Вы ошиблись форумом, используйте форум для разработчиков:

    https://social.msdn.microsoft.com/Forums/ru-RU/home



    This posting is provided "AS IS" with no warranties, and confers no rights.

    Модератор
  • Здравствуйте,

    Переношу Ваш вопрос в правильный раздел форума.


    Мнения, высказанные здесь, являются отражением моих личных взглядов, а не позиции корпорации Microsoft. Вся информация предоставляется "как есть" без каких-либо гарантий.

  • Собственно гугл нашел:

    https://technet.microsoft.com/ru-ru/library/gg699618%28v=sql.110%29.aspx

    Про версию там не написано, но кто мешает попробовать? :)

  • "прошу подсказать возможна ли работа одновременно с 3.5 и 4.0". - нет нельзя, используйте последнюю. Или ещё лучше SQL Server 2014 Express LocalDB.

    Сделаем содержимое сообщества лучше, вместе!

    • Предложено в качестве ответа daagon78 15 мая 2015 г. 7:51
    • Помечено в качестве ответа YatajgaModerator 31 мая 2015 г. 18:54
    Модератор